Bug 153776 - [patch] multimedia/mplayer - disabling RTCPU on non-{i386,amd64,powerpc}
Summary: [patch] multimedia/mplayer - disabling RTCPU on non-{i386,amd64,powerpc}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eygene Ryabinkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 21:00 UTC by Anton Shterenlikht
Modified: 2014-03-04 20:45 UTC (History)
0 users

See Also:


Attachments
mplayer_ia64_makefile.diff (794 bytes, patch)
2011-01-07 21:00 UTC, Anton Shterenlikht
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2011-01-07 21:00:12 UTC
multimedia/mplayer fails on ia64 portscluster nodes
because default options include RTCPU, which is not
supported on ia64.

See also

http://pointyhat.freebsd.org/errorlogs/ia64-errorlogs/e.8.20101230091827/mplayer-1.0.r20101106.log

How-To-Repeat: 
Try to build with default options set on ia64.
Comment 1 Edwin Groothuis freebsd_committer 2011-01-07 21:00:29 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-01-07 21:00:33 UTC
Maintainer of multimedia/mplayer,

Please note that PR ports/153776 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153776

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-01-07 21:00:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Eygene Ryabinkin freebsd_committer 2011-01-07 21:04:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rea

Grab the PR -- will process it to the end ;))
Comment 5 Thomas Zander 2011-01-09 03:39:56 UTC
Patch looks okay on first check (don't have the chance to try it at
the moment, sorry), just two remarks:
- Since you have an ia64: Does mencoder build and work?
- If so, this would have to be applied to the mencoder port as well,
and in mencoder's Makefile it would have to be marked unbroken for
ia64

Thanks in advance,
Riggs
Comment 6 swell.k 2011-01-21 18:17:33 UTC
Can you run on a tinderbox with the patch? OPTIONS are parsed before
bsd.port.pre.mk, doing anything with them after will *not* affect
*default* values but *will* affect `make config|showconfig|etc'.

  $ make rmconfig
  $ UNAME_p=ia64 UNAME_m=ia64 make -V CONFIGURE_ARGS | sed 'y/ /\n/' | sed -n '/cpu/p'
  --enable-runtime-cpudetection

The following diff should address above issue.

--- a.diff begins here ---
Index: multimedia/mplayer/Makefile
===================================================================
RCS file: /a/.cvsup/ports/multimedia/mplayer/Makefile,v
retrieving revision 1.201
diff -u -p -r1.201 Makefile
--- multimedia/mplayer/Makefile	19 Jan 2011 01:58:24 -0000	1.201
+++ multimedia/mplayer/Makefile	21 Jan 2011 18:10:29 -0000
@@ -13,7 +13,6 @@ COMMENT=	High performance media player s
 .include "${.CURDIR}/Makefile.shared"
 
 OPTIONS=	DEBUG "Include debug symbols in mplayer's binaries" off
-OPTIONS+=	RTCPU "Allow runtime CPU detection" on
 OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
 OPTIONS+=	IPV6 "Include inet6 network support" on
 OPTIONS+=	X11 "Enable X11 support for mplayer's video output" on
@@ -70,12 +70,18 @@ SUB_FILES=	pkg-message
 
 CONFFILES=	example.conf input.conf menu.conf dvb-menu.conf
 
+.if !defined(ARCH)
+ARCH?=		${MACHINE}
+.endif
+
+.if ${ARCH} == "i386" || ${ARCH} == "amd64" || ${ARCH} == "powerpc"
+OPTIONS+=	RTCPU "Allow runtime CPU detection" on
+.else
+OPTIONS+=	RTCPU "Allow runtime CPU detection" off
+.endif
+
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile on sparc64
-.endif
-
 CONFIGURE_ARGS+=	--disable-ssse3 \
 			--disable-directfb \
 			--disable-faac \
Index: multimedia/mencoder/Makefile
===================================================================
RCS file: /a/.cvsup/ports/multimedia/mencoder/Makefile,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile
--- multimedia/mencoder/Makefile	19 Jan 2011 01:58:24 -0000	1.23
+++ multimedia/mencoder/Makefile	21 Jan 2011 18:15:34 -0000
@@ -14,7 +14,6 @@ RESTRICTED=	Port has restricted dependen
 
 OPTIONS=	DEBUG "Include debug symbols in mencoder's binary" off
 OPTIONS+=	FONTCONFIG "Enable fontconfig support" off
-OPTIONS+=	RTCPU "Allow runtime CPU detection" on
 OPTIONS+=	OCFLAGS "Use optimized compiler flags" on
 OPTIONS+=	IPV6 "Include inet6 network support" on
 OPTIONS+=	JACK "Enable JackIt audio server support" off
@@ -61,6 +60,16 @@ TOOLFILES=	aconvert.sh binary_codecs.sh 
 		psnr-video.sh qepdvcd.sh subedit.pl \
 		subsearch.sh w32codec_dl.pl wma2ogg.pl \
 
+.if !defined(ARCH)
+ARCH?=		${MACHINE}
+.endif
+
+.if ${ARCH} == "i386" || ${ARCH} == "amd64" || ${ARCH} == "powerpc"
+OPTIONS+=	RTCPU "Allow runtime CPU detection" on
+.else
+OPTIONS+=	RTCPU "Allow runtime CPU detection" off
+.endif
+
 .include <bsd.port.pre.mk>
 
 LIB_DEPENDS+=	mp3lame.0:${PORTSDIR}/audio/lame
@@ -181,8 +190,4 @@ post-install:
 	@${INSTALL_SCRIPT} ${WRKSRC}/TOOLS/${tool} ${DATADIR}/tools
 .endfor
 
-.if ${ARCH} == "ia64" || ${ARCH} == "sparc64"
-BROKEN=		Does not detect CPU correctly on ia64 or sparc64
-.endif
-
 .include <bsd.port.post.mk>
--- a.diff ends here ---
Comment 7 Thierry Thomas freebsd_committer 2013-12-24 17:40:35 UTC
Hello,

I think that this PR could be closed: it has been fixed with
PR ports/185142.

Could you please check it?

Best regards,
-- 
Th. Thomas.
Comment 8 Anton Shterenlikht 2014-02-14 10:28:15 UTC
yes, works fine on ia64 with poudriere.
Please close this PR.
Comment 9 Tijl Coosemans freebsd_committer 2014-03-04 20:44:13 UTC
State Changed
From-To: feedback->closed

Closed at submitter's request: problem has been fixed.